Bug 150037 - hebrew text displayed backwards (left-to-right) on page
hebrew text displayed backwards (left-to-right) on page
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
http://news.walla.co.il/?w=/9/678467
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 16:08 EST by Pavel Rosenboim
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 15:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2005-03-01 16:08:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
On http://news.walla.co.il/?w=/9/678467 the hebrew text is displayed backwards (except caption of an article), no matter what hebrew encoding I choose. This problem is specific to firefox for FC3 and does not happen in any other mozilla based browser (mozilla/epiphany/galeon). It also does not happen with firefox downloaded from mozilla.org.

Version-Release number of selected component (if applicable):
1.0.1-1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Go to http://news.walla.co.il/?w=/9/678467
2.
3.
  

Additional info:
Comment 1 Pavel Rosenboim 2005-03-05 01:57:22 EST
Recompiling firefox without the pango-related patches (30,31,32) fixes the issue.
Comment 2 assaf 2005-04-07 07:53:15 EDT
It appears to be related to a fixed bug in Ubuntu:
https://bugzilla.ubuntu.com/show_bug.cgi?id=6590

I work with an updated version of FC3, and Firefox 1.0.2. As far as i remember,
the bug wasn't there before i updated my OS.
The bug wasn't resolved when i (sudo) edited /usr/bin/firefox so that the
folowing lines:

MOZ_ENABLE_PANGO=1
export MOZ_ENABLE_PANGO 

would change to 

#MOZ_ENABLE_PANGO=1
#export MOZ_ENABLE_PANGO 

I hope this bug will be fixed soon.
Comment 3 Warren Togami 2005-09-30 15:21:39 EDT
This was previously a RTL language + pango bug.  This appears to be fixed,
however I am unfamiliar with Hebrew so I am not entirely sure.  Maybe eng-i18n
can help to verify this.

Please do testing on any recent firefox for FC3, FC4, or FC5 *BUT NOT* RHEL.
Comment 4 Pavel Rosenboim 2005-09-30 15:28:33 EDT
In current firefox on FC4 (version 1.0.7-1.1.fc4) the page looks fine.
Comment 5 Warren Togami 2005-09-30 15:32:55 EDT
Just to confirm, this is without using MOZ_DISABLE_PANGO right?
Comment 6 Pavel Rosenboim 2005-09-30 15:35:42 EDT
Right. 
Comment 7 Warren Togami 2005-09-30 15:59:05 EDT
OK thanks!

Note You need to log in before you can comment on or make changes to this bug.